package com.wd.workoffice.bean.mesBean;


import com.alibaba.fastjson.annotation.JSONField;
import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class OpmreportErrorBean extends BaseMesPageBean {

    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }


    public static class ListBean {
        /**
         * id : null
         * reportCode : GZ20082110001
         * description : Test
         * dataFrom : null
         * dataFromName : zzg
         * status : 2
         * assetId : null
         * assetCode : null
         * assetDesc : null
         * locationId : null
         * locaCode : null
         * locaDesc : null
         * failureId : null
         * culevel : 1
         * failureCode : null
         * failureDesc : null
         * problemCode : null
         * problemDesc : null
         * workorderId : null
         * workorderCode : null
         * workorderDesc : null
         * assetStopDateTime : null
         * assetStartDateTime : null
         * assetTimeDifference : null
         * findDateTime : 2020-08-21
         * removeDateTime : null
         * createby : null
         * createDateTime : null
         * updateDateTime : null
         * siteId : null
         * siteCode : null
         * siteDesc : null
         * remark : null
         * phenomenonDescription : null
         * workOrder : null
         * fromPad : null
         * opmReportRecordList : null
         * delete : null
         * createbyName : null
         * changebyName : null
         * procId : null
         */

        private Object id;
        private String reportCode;
        private String description;
        private Object dataFrom;
        private String dataFromName;
        private int status;
        private Object assetId;
        private Object assetCode;
        private Object assetDesc;
        private Object locationId;
        private Object locaCode;
        private Object locaDesc;
        private Object failureId;
        private int culevel;
        private Object failureCode;
        private Object failureDesc;
        private Object problemCode;
        private Object problemDesc;
        private Object workorderId;
        private Object workorderCode;
        private Object workorderDesc;
        private Object assetStopDateTime;
        private Object assetStartDateTime;
        private Object assetTimeDifference;
        private String findDateTime;
        private Object removeDateTime;
        private Object createby;
        private Object createDateTime;
        private Object updateDateTime;
        private Object siteId;
        private Object siteCode;
        private Object siteDesc;
        private Object remark;
        private Object phenomenonDescription;
        private Object workOrder;
        private Object fromPad;
        private Object opmReportRecordList;
        private Object delete;
        private Object createbyName;
        private Object changebyName;
        private Object procId;

        public Object getId() {
            return id;
        }

        public void setId(Object id) {
            this.id = id;
        }

        public String getReportCode() {
            return reportCode;
        }

        public void setReportCode(String reportCode) {
            this.reportCode = reportCode;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public Object getDataFrom() {
            return dataFrom;
        }

        public void setDataFrom(Object dataFrom) {
            this.dataFrom = dataFrom;
        }

        public String getDataFromName() {
            return dataFromName;
        }

        public void setDataFromName(String dataFromName) {
            this.dataFromName = dataFromName;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public Object getAssetId() {
            return assetId;
        }

        public void setAssetId(Object assetId) {
            this.assetId = assetId;
        }

        public Object getAssetCode() {
            return assetCode;
        }

        public void setAssetCode(Object assetCode) {
            this.assetCode = assetCode;
        }

        public Object getAssetDesc() {
            return assetDesc;
        }

        public void setAssetDesc(Object assetDesc) {
            this.assetDesc = assetDesc;
        }

        public Object getLocationId() {
            return locationId;
        }

        public void setLocationId(Object locationId) {
            this.locationId = locationId;
        }

        public Object getLocaCode() {
            return locaCode;
        }

        public void setLocaCode(Object locaCode) {
            this.locaCode = locaCode;
        }

        public Object getLocaDesc() {
            return locaDesc;
        }

        public void setLocaDesc(Object locaDesc) {
            this.locaDesc = locaDesc;
        }

        public Object getFailureId() {
            return failureId;
        }

        public void setFailureId(Object failureId) {
            this.failureId = failureId;
        }

        public int getCulevel() {
            return culevel;
        }

        public void setCulevel(int culevel) {
            this.culevel = culevel;
        }

        public Object getFailureCode() {
            return failureCode;
        }

        public void setFailureCode(Object failureCode) {
            this.failureCode = failureCode;
        }

        public Object getFailureDesc() {
            return failureDesc;
        }

        public void setFailureDesc(Object failureDesc) {
            this.failureDesc = failureDesc;
        }

        public Object getProblemCode() {
            return problemCode;
        }

        public void setProblemCode(Object problemCode) {
            this.problemCode = problemCode;
        }

        public Object getProblemDesc() {
            return problemDesc;
        }

        public void setProblemDesc(Object problemDesc) {
            this.problemDesc = problemDesc;
        }

        public Object getWorkorderId() {
            return workorderId;
        }

        public void setWorkorderId(Object workorderId) {
            this.workorderId = workorderId;
        }

        public Object getWorkorderCode() {
            return workorderCode;
        }

        public void setWorkorderCode(Object workorderCode) {
            this.workorderCode = workorderCode;
        }

        public Object getWorkorderDesc() {
            return workorderDesc;
        }

        public void setWorkorderDesc(Object workorderDesc) {
            this.workorderDesc = workorderDesc;
        }

        public Object getAssetStopDateTime() {
            return assetStopDateTime;
        }

        public void setAssetStopDateTime(Object assetStopDateTime) {
            this.assetStopDateTime = assetStopDateTime;
        }

        public Object getAssetStartDateTime() {
            return assetStartDateTime;
        }

        public void setAssetStartDateTime(Object assetStartDateTime) {
            this.assetStartDateTime = assetStartDateTime;
        }

        public Object getAssetTimeDifference() {
            return assetTimeDifference;
        }

        public void setAssetTimeDifference(Object assetTimeDifference) {
            this.assetTimeDifference = assetTimeDifference;
        }

        public String getFindDateTime() {
            return findDateTime;
        }

        public void setFindDateTime(String findDateTime) {
            this.findDateTime = findDateTime;
        }

        public Object getRemoveDateTime() {
            return removeDateTime;
        }

        public void setRemoveDateTime(Object removeDateTime) {
            this.removeDateTime = removeDateTime;
        }

        public Object getCreateby() {
            return createby;
        }

        public void setCreateby(Object createby) {
            this.createby = createby;
        }

        public Object getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Object createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Object getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Object updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public Object getSiteId() {
            return siteId;
        }

        public void setSiteId(Object siteId) {
            this.siteId = siteId;
        }

        public Object getSiteCode() {
            return siteCode;
        }

        public void setSiteCode(Object siteCode) {
            this.siteCode = siteCode;
        }

        public Object getSiteDesc() {
            return siteDesc;
        }

        public void setSiteDesc(Object siteDesc) {
            this.siteDesc = siteDesc;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public Object getPhenomenonDescription() {
            return phenomenonDescription;
        }

        public void setPhenomenonDescription(Object phenomenonDescription) {
            this.phenomenonDescription = phenomenonDescription;
        }

        public Object getWorkOrder() {
            return workOrder;
        }

        public void setWorkOrder(Object workOrder) {
            this.workOrder = workOrder;
        }

        public Object getFromPad() {
            return fromPad;
        }

        public void setFromPad(Object fromPad) {
            this.fromPad = fromPad;
        }

        public Object getOpmReportRecordList() {
            return opmReportRecordList;
        }

        public void setOpmReportRecordList(Object opmReportRecordList) {
            this.opmReportRecordList = opmReportRecordList;
        }

        public Object getDelete() {
            return delete;
        }

        public void setDelete(Object delete) {
            this.delete = delete;
        }

        public Object getCreatebyName() {
            return createbyName;
        }

        public void setCreatebyName(Object createbyName) {
            this.createbyName = createbyName;
        }

        public Object getChangebyName() {
            return changebyName;
        }

        public void setChangebyName(Object changebyName) {
            this.changebyName = changebyName;
        }

        public Object getProcId() {
            return procId;
        }

        public void setProcId(Object procId) {
            this.procId = procId;
        }
    }
}
